body.auth {
    padding: 0 !important;
    font-family: 'Source Sans Variable';
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.flex-container {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.column-1,
.column-2 {
    min-height: 100vh;
}

.p-coconad-right-side{
    display: flex;
    justify-content: center;
    align-content: center;
}
a.navbar-brand img {
    height: var(--appLogoHeight);
    width: var(--appLogoWidth);
    margin-top: 5px;
    margin-left: 10px;
}

.column-1 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    -ms-flex-preferred-size: 45%;
    flex-basis: 45%;
    max-width: 45%;
}

.column-2 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    -ms-flex-preferred-size: 55%;
    flex-basis: 55%;
    max-width: 55%;
}


.inner-container {
    margin-left: auto;
    margin-right: auto;
    margin-top: 15vh;
}

.column-1 .inner-container {
    max-width: 85%;
    width: 500px;
}

.auth-header {
    margin-bottom: 50px;
}

.auth h1 {
    font-weight: bold;
    font-size: 36px;
    text-align: left;
    color: #333;
}

.auth-subtitle {
    font-size: 18px;
    letter-spacing: 0.02em;
    color: #8b9097;
}

/* OTP Section */

.auth .otp-input {
    display: flex;
    justify-content: flex-start;
    width: 270px;
    margin-left: 15px;
}

.auth .otp-input .form-control {
    flex: 1;
    text-align: center;
    border: 1px solid #e0e1e5;
    border-radius: 5px;
    padding: 10px;
    margin-right: 5px;
    font-size: 16px;
    background-color: white;
    width: 50px;
    height: 70px;
}

.auth .otp-input .otp-space {
    padding: 0 12px 0 12px;
}

.auth .otp-input input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.auth .otp-input input[type=number] {
    -moz-appearance: textfield;
}

/* OTP Section */

html[lang="en"] .auth-subtitle {
    text-transform: uppercase;
}

.auth-label {
    margin-bottom: 0px;
    font-weight: 550;
    font-size: 13px;
    letter-spacing: 1px;
    text-align: left;
    color: #6a6c6f;
    text-transform: uppercase;
}

.auth .form-control {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    outline: none !important;
    border: none;
    border-radius: 0;

    height: 56px;
    padding-top: 8px;
    padding-bottom: 7px;
    padding-left: 8px;
    padding-right: 8px;

    font-weight: 600;
    font-size: 20px;
    letter-spacing: 0.03em;
    color: #333;

    background-color: #f2f4f7;
    background-image: -webkit-gradient(linear, left top, right top, color-stop(0, var(--loginFieldBackgroundImagePatternGradientFrom)), color-stop(70%, var(--loginFieldBackgroundImagePatternGradientTo)));
    background-image: -o-linear-gradient(left, var(--loginFieldBackgroundImagePatternGradientFrom) 0, var(--loginFieldBackgroundImagePatternGradientTo) 70%);
    background-image: linear-gradient(to right, var(--loginFieldBackgroundImagePatternGradientFrom) 0, var(--loginFieldBackgroundImagePatternGradientTo) 70%);
    background-repeat: no-repeat;
    background-size: 100% 2px;
    box-shadow: none;
    border: 0;
    border-bottom: 1px solid #d7d7d7;
    background-position: 0 calc(100% + 2px), 0 0;
}

.auth .form-control[type="password"] {
    font-size: 20px;
    letter-spacing: 2px;
    font: large Verdana, sans-serif;
}

.auth .form-control::-webkit-input-placeholder {
    font-size: 20px;
    letter-spacing: 2px;
    font-family: 'Source Sans Variable';
    font-weight: 600;
    letter-spacing: 0.5px;
}

.auth .form-control::-moz-placeholder {
    font-size: 20px;
    letter-spacing: 2px;
    font-family: 'Source Sans Variable';
    font-weight: 600;
    letter-spacing: 0.5px;
}

.auth .form-control:-ms-input-placeholder {
    font-size: 20px;
    letter-spacing: 2px;
    font-family: 'Source Sans Variable';
    font-weight: 600;
    letter-spacing: 0.5px;
}

.auth .form-control::-ms-input-placeholder {
    font-size: 20px;
    letter-spacing: 2px;
    font-family: 'Source Sans Variable';
    font-weight: 600;
    letter-spacing: 0.5px;
}

.auth .form-control::placeholder {
    font-size: 20px;
    letter-spacing: 2px;
    font-family: 'Source Sans Variable';
    font-weight: 600;
    letter-spacing: 0.5px;
}

.auth .form-control::-webkit-input-placeholder {
    color: #B8B9C1
}

.auth .form-control::-moz-placeholder {
    color: #B8B9C1
}

.auth .form-control:-ms-input-placeholder {
    color: #B8B9C1
}

.auth .form-control::-ms-input-placeholder {
    color: #B8B9C1
}

.auth .form-control::placeholder {
    color: #B8B9C1
}

.auth .form-control:focus {
    color: #333;
    border-color: transparent;

    /* background-color: #F5F6F7; */
}

.js-error-message{
    color: #B6615F;
}
.js-error-input{
    border: solid 1px #B6615F !important;
}

#register-form .required-text{
    font-size: 12px;
    color: #B8B9C1;
    width: 100%;
    position: relative;
    top: -37px;
    display: block;
    float: left;
}
#register-form .part1 .required-text {
    top: 16px;
}

.auth .form-group:focus-within .auth-label {
    color: #151515;
    background: linear-gradient(to right, var(--loginFieldLabelGradientFrom) 0%, var(--loginFieldLabelGradientTo) 100%);
    background-clip: border-box;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    /* border-color: transparent; */
}

.btn-auth-submit {
    position: relative;
    display: inline-block;
    top: -57px;
    left: 8px;
    float: right;
    outline: none !important;
    margin-top: 13px;
    /* background-image: linear-gradient(to right, #ff4b1f 0%, #ff9068 51%, #ff4b1f 100%) */
    border-radius: 5px;
    /* background-image: linear-gradient(to right, #fb8453, #f54d2d); */
    background-image: -o-radial-gradient(at 50% 2%, var(--loginButtonBackgroundGradientFrom), var(--loginButtonBackgroundGradientTo));
    background-image: radial-gradient(at 50% 2%, var(--loginButtonBackgroundGradientFrom), var(--loginButtonBackgroundGradientTo));
    -webkit-transition: color 0.4s ease;
    -o-transition: color 0.4s ease;
    transition: color 0.4s ease;
    -webkit-box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.12);
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.12);
    height: 45px;
    width: 250px;
    color: white;
    border: none;
    z-index: 1;
    font-size: 18px;
}

.btn-auth-back ~ .btn-auth-submit {
    top: -57px;
}

.btn-auth-submit::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-image: -o-radial-gradient(
            at 50% 2%,
            var(--loginButtonBackgroundOnOverGradient1) 0%,
            var(--loginButtonBackgroundOnOverGradient2) 48.94%,
            var(--loginButtonBackgroundOnOverGradient3) 100%
    );
    background-image: radial-gradient(
            at 50% 2%,
            var(--loginButtonBackgroundOnOverGradient1) 0%,
            var(--loginButtonBackgroundOnOverGradient2) 48.94%,
            var(--loginButtonBackgroundOnOverGradient3) 100%
    );
    z-index: -1;
    -webkit-transition: opacity 0.2s ease-in;
    -o-transition: opacity 0.2s ease-in;
    transition: opacity 0.2s ease-in;
    opacity: 0;
    border-radius: inherit;
}

.btn-auth-submit:hover::before,
.btn-auth-submit:hover::after {
    opacity: 1;
}

.btn-auth-submit::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    -webkit-box-shadow: 0px 3px 24px rgba(0, 0, 0, 0.16);
    box-shadow: 0px 3px 24px rgba(0, 0, 0, 0.16);
    opacity: 0;
    -webkit-transition: opacity 0.2s ease-in;
    -o-transition: opacity 0.2s ease-in;
    transition: opacity 0.2s ease-in;
}


.btn-auth-submit:hover,
.btn-auth-submit:focus {
    /* background-image: radial-gradient(at 50% 0, #ff9c5e, #f54d2d); */
    color: white;
}

.auth .margin-bottom {
    margin-bottom: 40px;
}

/* Custom Checkbox */

/* Hide the browser's default checkbox */
.checkbox input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkbox {
    position: relative;
}

.custom-control-input {
    position: absolute;
    z-index: -1;
    opacity: 0;
}

.checkbox .custom-control-label {
    position: relative;
    margin-bottom: 0;
    vertical-align: top;
}

.checkbox .custom-control-label::before {
    position: absolute;
    top: 3px;
    left: 0;
    display: block;
    width: 16px;
    height: 16px;
    pointer-events: none;
    content: "";
    background-color: #fff;
    border: #adb5bd solid 1px;
}
.custom-control-input:focus + label::before{
    position: absolute;
    top: 3px;
    left: 0;
    display: block;
    width: 16px;
    height: 16px;
    pointer-events: none;
    content: "";
    background-color: #fff;
    border: #FB8453 solid 2px;
}



.checkbox .custom-control-label::after {
    position: absolute;
    top: 3px;
    left: 0;
    display: block;
    width: 16px;
    height: 16px;
    content: "";
    background: no-repeat 50% / 50% 50%;
}

.custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    border-color: var(--appPrimaryColor);
    background-color: var(--appPrimaryColor);
}


.custom-control-input:checked ~ .custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
}

.checkbox .custom-control-label::before {
    border-radius: .25rem;
}

.auth .checkbox label,
.auth .radio label {
    padding-left: 30px;
    font-size: 15px;
}

.auth a {
    color: var(--loginAnchorColor);
}

.reactivateBtn {
    color: white !important;
}

.column-2 {
    background: var(--loginBackground);
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;

    color: white;
}

.column-2 .inner-container {
    width: 600px;
    max-width: 85%;
}

.column-2 .heading {
    margin-bottom: 15px;
}

.column-2 .advantages {
    font-size: 24px;
    margin-bottom: 60px;
}

.column-2 .advantages li {
    margin-bottom: 5px;
}

.column-2 .advantages i {
    margin-right: 10px;
}

.auth .card {
    border-radius: 10px;
    background: #fff;
    opacity: 1;
    padding: 30px;
}

.auth .quote {
    font-style: italic;
    font-size: 16px;
    line-height: 26px;
    text-align: left;
    color: #202020;
}

.auth .quote-name::before {
    position: absolute;
    top: -20px;
    left: 0;
    content: '';
    width: 50px;
    height: 1px;
    background-color: #ddd;

}

.auth .quote-name {
    margin-top: 40px;
    position: relative;
    font-size: 16px;
    line-height: 26px;
    text-align: left;
    color: #202020;
    font-weight: 600;
}

.auth .quote-name span {
    font-weight: 400;
}

.auth .quote-name .separator {
    padding-left: 11px;
    padding-right: 8px;
}

.login-text {
    margin-top: 44px;
    font-size: 15px;
    margin-bottom: 25px;
}

.forgot {
    text-align: right;

}

.forgot .btn-link {
    margin-top: 7px;
    font-size: 15px;
}

.auth .btn.btn-link:hover {
    text-decoration: underline;
    color: var(--loginAnchorColor);
}

/* PW RESET */

.logo-wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.pw-reset-bg {
    background: var(--loginBackground);
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;
    height: 100vh;
}

.pw-reset-bg .inner-container {
    margin-top: 50px;
}

.pw-reset-bg.auth h1 + p {
    margin-bottom: 50px;
/*    margin-top: -30px;*/
    text-align: center;
    font-size: 16px;
}

.pw-reset-bg.auth h1 {
    text-align: center;
}

.pw-reset-bg .navbar-brand {
    float: none;
    display: inline-block;
}

.pw-reset-bg .navbar-brand img {
    margin-right: auto;
    margin-left: auto;
    width: var(--appLogoLoginWidth);
}

.pw-reset-bg .flex-container {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.pw-reset-bg .column-1 {
    height: auto;
    min-height: auto;
    padding-bottom: 80px;
}

.pw-reset-bg main,
.pw-reset-bg .auth-wrapper {
    height: 100%
}

.pw-reset-bg .flex-container {
    height: 100%;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.google-btn-pos{
    width: 100%;
    display: flex;
    justify-content: center;

}

.divider {
    font-size: 15px;
    display: flex;
    align-items: center;
    margin-top: 22px;
    margin-bottom: 25px;
    color: #bababa;
}

.divider::before, .divider::after {
    flex: 1;
    content: '';
    padding-top: 1px;
    background-color: #e0e0e0;
    margin: 5px;
}

.divider::before {
    margin-right: 10px;
}

.divider::after {
    margin-left: 10px;
}

div.register-submit {
    margin-bottom: -7px !important;
}

.gsi-material-button {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -webkit-appearance: none;
    background-color: WHITE;
    background-image: none;
    border: 1px solid #747775;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: #1f1f1f;
    cursor: pointer;
    font-family: 'Roboto', arial, sans-serif;
    font-size: 14px;
    height: 40px;
    letter-spacing: 0.25px;
    outline: none;
    overflow: hidden;
    padding: 0 12px;
    position: relative;
    text-align: center;
    -webkit-transition: background-color .218s, border-color .218s, box-shadow .218s;
    transition: background-color .218s, border-color .218s, box-shadow .218s;
    vertical-align: middle;
    white-space: nowrap;
    width: 100%;

    min-width: min-content;
}

.gsi-material-button .gsi-material-button-icon {
    height: 20px;
    margin-right: 12px;
    min-width: 20px;
    width: 20px;
}

.gsi-material-button .gsi-material-button-content-wrapper {
    -webkit-align-items: center;
    align-items: center;
    display: flex;
    -webkit-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: nowrap;
    flex-wrap: nowrap;
    height: 100%;
    justify-content: space-between;
    position: relative;
    width: 100%;
}

.gsi-material-button .gsi-material-button-contents {
    -webkit-flex-grow: 1;
    flex-grow: 1;
    font-family: 'Roboto', arial, sans-serif;
    font-weight: 500;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: top;
}

.gsi-material-button .gsi-material-button-state {
    -webkit-transition: opacity .218s;
    transition: opacity .218s;
    bottom: 0;
    left: 0;
    opacity: 0;
    position: absolute;
    right: 0;
    top: 0;
}

.gsi-material-button:disabled {
    cursor: default;
    background-color: #ffffff61;
    border-color: #1f1f1f1f;
}

.gsi-material-button:disabled .gsi-material-button-contents {
    opacity: 38%;
}

.gsi-material-button:disabled .gsi-material-button-icon {
    opacity: 38%;
}

.gsi-material-button:not(:disabled):active .gsi-material-button-state,
.gsi-material-button:not(:disabled):focus .gsi-material-button-state {
    background-color: #303030;
    opacity: 12%;
}

.gsi-material-button:not(:disabled):hover {
    -webkit-box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
    box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
}

.gsi-material-button:not(:disabled):hover .gsi-material-button-state {
    background-color: #303030;
    opacity: 8%;
}

@media (max-width: 1024px) {
    .column-2 {
        display: none;
    }

    .column-1 {
        -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
        max-width: 100%;
    }

    .inner-container {
        margin-top: 15vh;
    }

    .pw-reset-bg .column-1 {
        -ms-flex-preferred-size: 80%;
        flex-basis: 80%;
        max-width: 80%;
    }
}

@media (max-width: 767px) {

    button.btn-auth-submit {
        float: none !important;
        top: 0 !important;
        left: 0 !important;
        width: 100% !important;
    }
    
    .btn-auth-next,
    .btn-auth-back {
        width: 100% !important;
    }
    
    .required-text {
        display: none !important;
    }

}

#register-form .part2{
    display: none;
}
.btn-auth-next {
    float: right;

    outline: none !important;

    margin-top: 20px;
    border-radius: 5px;
    background-image: -o-radial-gradient(at 50% 2%, var(--loginButtonBackgroundGradientFrom), var(--loginButtonBackgroundGradientTo));
    background-image: radial-gradient(at 50% 2%, var(--loginButtonBackgroundGradientFrom), var(--loginButtonBackgroundGradientTo));
    -webkit-transition: color 0.4s ease;
    -o-transition: color 0.4s ease;
    transition: color 0.4s ease;
    -webkit-box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.12);
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.12);
    height: 45px;
    width: 250px;
    color: white;
    border: none;
    position: relative;
    z-index: 1;
    font-size: 18px;/**/
}


.btn-auth-back {
    position: relative;
    outline: none !important;
    /* background-image: linear-gradient(to right, #ff4b1f 0%, #ff9068 51%, #ff4b1f 100%) */

    /* background-image: linear-gradient(to right, #fb8453, #f54d2d); */
    background-image: -o-radial-gradient(at 50% 2%, var(--loginButtonBackgroundGradientFrom), var(--loginButtonBackgroundGradientTo));
    background-image: radial-gradient(at 50% 2%, var(--loginButtonBackgroundGradientFrom), var(--loginButtonBackgroundGradientTo));
    -webkit-transition: color 0.4s ease;
    -o-transition: color 0.4s ease;
    transition: color 0.4s ease;
    -webkit-box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.12);
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.12);
    height: 45px;
    width: 250px;

    border: none;
    position: relative;
    z-index: 1;
    font-size: 18px;


    background: #f0f2f5 !important;
    border-radius: 6px !important;
    color: #6c757d !important;



}

#errormessagetemplate {
    display: none;
}

@media (max-width: 560px) {

    .column-1 {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .navbar-brand {
        display: block;
        margin-bottom: 20px;
    }

    .column-1 .inner-container {
        max-width: 100%;
        margin-top: 20px;
        width: auto;
        margin-left: 30px;
        margin-right: 30px;
    }

    .auth h1 {
        font-size: 24px;
        margin-bottom: 30px;
    }

    .auth .form-control {
        padding-top: 24px;
        padding-bottom: 24px;
        font-size: 18px;
    }

    .auth .margin-bottom {
        margin-bottom: 20px;
    }

    .auth .form-control::-webkit-input-placeholder {
        font-size: 18px;
    }

    .auth .form-control::-moz-placeholder {
        font-size: 18px;
    }

    .auth .form-control:-ms-input-placeholder {
        font-size: 18px;
    }

    .auth .form-control::-ms-input-placeholder {
        font-size: 18px;
    }

    .auth .form-control::placeholder {
        font-size: 18px;
    }

    .pw-reset-bg.auth {
        background: none;

    }

    .pw-reset-bg .column-1 {
        -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
        max-width: 100%;
        padding: 0;
    }

    .forgot {
        text-align: left;
        padding: 0;
    }


}
